Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package backend
  Definition Classes
    nsc
-  package jvm
  Definition Classes
    backend
-  package opt
  Definition Classes
    jvm
-  abstract class Inliner extends AnyRef
  Definition Classes
    opt
-  object InlineLog
  Definition Classes
    Inliner
- InlineLogFail
- InlineLogResult
- InlineLogRewrite
- InlineLogRollback
- InlineLogSuccess

c

scala.tools.nsc.backend.jvm.opt.Inliner.InlineLog

# InlineLogFail

###

#### final case class InlineLogFail(request: (inlinerHeuristics)#InlineRequest, warning: CannotInlineWarning) extends InlineLogResult with Product with Serializable

Source
  Inliner.scala

Linear Supertypes
java.io.Serializable, Product, Equals, InlineLogResult, AnyRef, Any
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. InlineLogFail
2. Serializable
3. Product
4. Equals
5. InlineLogResult
6. AnyRef
7. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new InlineLogFail(request: (inlinerHeuristics)#InlineRequest, warning: CannotInlineWarning)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from InlineLogFail toany2stringadd[InlineLogFail] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (InlineLogFail, B)
   Implicit
     This member is added by an implicit conversion from InlineLogFail toArrowAssoc[InlineLogFail] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
8.  def ensuring(cond: (InlineLogFail) => Boolean, msg: => Any): InlineLogFail
   Implicit
     This member is added by an implicit conversion from InlineLogFail toEnsuring[InlineLogFail] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
9.  def ensuring(cond: (InlineLogFail) => Boolean): InlineLogFail
   Implicit
     This member is added by an implicit conversion from InlineLogFail toEnsuring[InlineLogFail] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: Boolean, msg: => Any): InlineLogFail
    Implicit
      This member is added by an implicit conversion from InlineLogFail toEnsuring[InlineLogFail] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean): InlineLogFail
    Implicit
      This member is added by an implicit conversion from InlineLogFail toEnsuring[InlineLogFail] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def entryString(indent: Int): String
    Definition Classes
      InlineLogResult
13.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
15.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from InlineLogFail toStringFormat[InlineLogFail] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
16.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
17.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
18.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
19.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
20.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
21.  def productElementNames: Iterator[String]
    Definition Classes
      Product
22.  val request: (inlinerHeuristics)#InlineRequest
23.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
24.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
25.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
26.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
27.  val warning: CannotInlineWarning

### Deprecated Value Members

1.  def →[B](y: B): (InlineLogFail, B)
   Implicit
     This member is added by an implicit conversion from InlineLogFail toArrowAssoc[InlineLogFail] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from InlineLogResult

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromInlineLogFail to any2stringadd[InlineLogFail]

### Inherited by implicit conversion StringFormat fromInlineLogFail to StringFormat[InlineLogFail]

### Inherited by implicit conversion Ensuring fromInlineLogFail to Ensuring[InlineLogFail]

### Inherited by implicit conversion ArrowAssoc fromInlineLogFail to ArrowAssoc[InlineLogFail]

### Ungrouped